Get All 1 1

Get All 1 1
Fetch all actions

Retrieves all action entities

Request
URI
GET
https://{vcfa-fqdn}/abx/api/resources/actions
COPY
Query Parameters
integer
page
Optional
Constraints: minimum: 0 default: 0

Zero-based page index (0..N)

integer
size
Optional
Constraints: minimum: 1 default: 20

The size of the page to be returned

string of array
sort
Optional
Constraints: default: updatedMillis,DESC

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

boolean
projection
Optional

projection

string
nameCriteria
Optional

nameCriteria


Authentication
This operation uses the following authentication methods.
Responses
200

Paged result of all actions

{
    "totalElements": 0,
    "totalPages": 0,
    "size": 0,
    "content": [
        {
            "runtime": "string",
            "name": "string",
            "id": "string",
            "provider": "string",
            "description": "string",
            "actionType": "string",
            "projectId": "string",
            "updatedMillis": 0,
            "shared": false
        }
    ],
    "number": 0,
    "sort": [
        {
            "direction": "string",
            "nullHandling": "string",
            "ascending": false,
            "property": "string",
            "ignoreCase": false
        }
    ],
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "sort": [
            {
                "direction": "string",
                "nullHandling": "string",
                "ascending": false,
                "property": "string",
                "ignoreCase": false
            }
        ],
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "unpaged": false
    },
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized to make the request

Returns PageAction of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "size": 0,
    "content": [
        {
            "name": "string",
            "metadata": {
                "metadata": {}
            },
            "runtime": "string",
            "source": "string",
            "entrypoint": "string",
            "description": "string",
            "inputs": {
                "inputs": {}
            },
            "memoryInMB": 0,
            "prePolyglotMemoryLimitInMB": 0,
            "showMemoryAlert": false,
            "timeoutSeconds": 0,
            "dependencies": "string",
            "compressedContent": "string",
            "actionType": "string",
            "provider": "string",
            "contentId": "string",
            "configuration": {
                "configuration": {}
            },
            "system": false,
            "shared": false,
            "scalable": false,
            "asyncDeployed": false,
            "runtimeVersion": "string",
            "id": "string",
            "orgId": "string",
            "projectId": "string",
            "selfLink": "string"
        }
    ],
    "number": 0,
    "sort": [
        {
            "direction": "string",
            "nullHandling": "string",
            "ascending": false,
            "property": "string",
            "ignoreCase": false
        }
    ],
    "numberOfElements": 0,
    "pageable": {
        "offset": 0,
        "sort": [
            {
                "direction": "string",
                "nullHandling": "string",
                "ascending": false,
                "property": "string",
                "ignoreCase": false
            }
        ],
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "unpaged": false
    },
    "first": false,
    "last": false,
    "empty": false
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/actions